	<?php
session_save_path('tmp/mercafruit');
//session_start();


//include("estructura/conecta.php");
//include("estructura/meta_tags.php");
//include("izquierda.php");

?>
<link rel="stylesheet" type="text/css" href="css/preparar.css">
<link rel="stylesheet" type="text/css" href="css/tarifa-imprimir.css" media="print">
	<div id="derecha">
	
		<!--//<div class='text-border'>-->
		<?php
                        $idEmpresa = ("1");

                        $fechaHoy = date ('d/m/Y',strtotime('-1 day')); 
	echo "<h1>BULTOS POR PREPARADOR    ".$fechaHoy."</h1>";

$conexion_mercafruit = odbc_connect('ASA11', 'srvpedidos', 'strateRLexPe') or die(odbc_errormsg());
$conexion_resdis = odbc_connect('ResdisEnlace', 'resdis', '00reset') or die(odbc_errormsg());

$queryClientes = (" 
SELECT  PREPARADOR FROM DBA.CABPED 
WHERE DATE(CABPED.FECSERVICIO) >= TODAY () -19 
GROUP BY PREPARADOR                    
ORDER BY PREPARADOR
; ");

$queryArticulos = (" 
SELECT 
C.FECSERVICIO               FROM DBA.CABPED C
WHERE DATE(C.FECSERVICIO) >= TODAY () -19 
GROUP BY C.FECSERVICIO
ORDER BY C.FECSERVICIO
; ");

			$clientes = odbc_exec($conexion_mercafruit,$queryClientes );

  
			
			//Desplegamos una tabla con los datos de los productos
                         
			echo "<div class='reg'> ";

                        echo "<table style = 'width:100%'>";
echo "<thead>";

                        echo "<tr>";
                        echo "<th>________ </th>"; 
			while ($clientePedido = odbc_fetch_array($clientes)) { 
                            echo "<th>"
                                    .$clientePedido['PREPARADOR'].
                                 "</th>";
                        } 
                        echo "</tr>"; 
echo "</thead>";
                        echo "<tbody style='height:300px; overflow-y:auto'>"; 

			// comienza un bucle que leera todos los registros y ejecutara las ordenes que siguen
			$resultado = odbc_exec($conexion_mercafruit,$queryArticulos );
			while ($articuloPedido = odbc_fetch_array($resultado)) { 
                         echo "<tr>";
                          echo "<td style='font-size:10px' >".$articuloPedido['FECSERVICIO'] ."</td>";
			$cli2 = odbc_exec($conexion_mercafruit,$queryClientes );
			while ($clienteDetalle = odbc_fetch_array($cli2)) { 
                              
$qbulto = ("SELECT CODCLI,SUM(L.CANTIDAD)PETICION ,CODMEDIDA  FROM DBA.CABPED C,DBA.LINPED L WHERE L.ESTADOLIN = 'P' AND L.CENTRO = C.CENTRO AND L.NUMPEDIDO = C.NUMPEDIDO AND C.FECSERVICIO = '".$articuloPedido['FECSERVICIO']."' AND C.PREPARADOR ='".$clienteDetalle['PREPARADOR']."' GROUP BY CODCLI,CODMEDIDA ORDER BY CODCLI,CODMEDIDA ; ");
		$resbulto = odbc_exec($conexion_mercafruit,$qbulto );
                echo "<td style='font-size:8px'> ";
$total=0; 
                while ($detbul = odbc_fetch_array($resbulto)) {
                /*$cuantoPide = odbc_result($resSuma,"peticion");*/
#                IF (is_null($bultoDetalle['PETICION'])){
#                       echo "----";
#                }ELSE{ 
                       echo "" .
                                      $detbul['CODCLI'] .
                                 "    ".    
                                      $detbul['PETICION'].
                                 "    ".
                                      $detbul['CODMEDIDA'].
                                "<br>";
If ((strcasecmp($detbul['CODMEDIDA'],"CJ") == 0) ||
    (strcasecmp($detbul['CODMEDIDA'],"UN") == 0 ))  {
$total = $total + $detbul['PETICION']; 
}
ELSE
{
$total = $total + 1; 
}
#}
                } 
echo "<b>".$total."</b>";
                echo "</td>";
#$total = 0;  
#
                        }
			} // fin del bucle de ordenes

                         echo "</tr>";

echo "</tbody>"; 
							
			//cerramos la etiqueta tabla
			echo "</table>";
			echo "</div>";
		?>
